<%@ taglib uri="http://www.tagunit.org/tagunit/core" prefix="tagunit" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>

<%--The test below checks whether a ClassNotFoundException is thrown or not --%>
<c:catch var="e">
  <% if (true) { throw new java.lang.ClassNotFoundException(); }%>
  <tagunit:fail name="Simple exception catch" message="An exception should have been thrown"/>
</c:catch>
<tagunit:assertPageContextAttribute name="e" type="java.lang.ClassNotFoundException" scope="page"/>

<%--The test below checks when a ClassNotFoundException is thrown and what happens when the type is wrongly entered --%>
<c:catch var="e">
  <% if (true) { throw new java.lang.ClassNotFoundException(); }%>
</c:catch>
<tagunit:assertPageContextAttribute name="e" type="java.lang.Exception"/>

<%--The test below checks the following as per the JSTL specification 
  If no exception occurred, the scoped variable identified by var is removed if it existed.
--%>
<c:catch var="noException">abcde</c:catch>
<tagunit:assertNoPageContextAttribute name="noException"/>

<%--The test below checks using two nested catch tags the following condition as defined in the JSTL specification
  If var is missing, the exception is simply caught and not saved.
--%>
<c:catch var="noException">
  <c:catch>
    <% if (true) { throw new java.lang.ClassNotFoundException(); }%>
    <tagunit:fail name="Nested exception catch" message="An exception should have been thrown"/>
  </c:catch>
</c:catch>
<tagunit:assertNoPageContextAttribute  name="noException"/>