<%@ taglib uri="http://www.tagunit.org/tagunit/core" prefix="tagunit" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jstl/core" %>


<%-- tests whether a variable is removed from Application scope --%>
<%
  pageContext.setAttribute("application","rahul",PageContext.APPLICATION_SCOPE);
%>

<c:remove var="application" scope="application"/>
<tagunit:assertNoPageContextAttribute name="application" scope="application"  />

<%-- tests whether variable is removed from session scope --%>
<%
  pageContext.setAttribute("session","rahul",PageContext.SESSION_SCOPE);
%>
<c:remove var="session" scope="session"/>
<tagunit:assertNoPageContextAttribute name="session"  scope="session"/>

<%-- tests whether variable removed from request scope --%>
<%
  pageContext.setAttribute("request","rahul",PageContext.REQUEST_SCOPE);
%>
<c:remove var="request" scope="request"/>
<tagunit:assertNoPageContextAttribute name="request" scope="request"/>

<%-- tests whether a variable is removed from page scope --%>
<%
  pageContext.setAttribute("page","rahul p mahindrakar");
%>

<c:remove var="page" scope="page"/>
<tagunit:assertNoPageContextAttribute name="page" scope="page"/>

<%-- asserts if a attribute set in page context is not removed for some reason
Note that scope is not provided and assumes page scope as per the jstl specification

Quoted from JSTL specification 1.0
---------- 
If attribute scope is not specified, the scoped variable is removed according to the
semantics of PageContext.removeAttribute(varName).If attribute scope is
specified, the scoped variable is removed according to the semantics of
PageContext.removeAttribute(varName, scope).
--%>
<%
  pageContext.setAttribute("page1","rahul");
%>
<c:remove var="page1"/>
<tagunit:assertNoPageContextAttribute name="page1" scope="page"/>

<%-- same test as above but with session scope and added test with scope--%>
<%
  pageContext.setAttribute("abcde","rahul",PageContext.SESSION_SCOPE);
%>
<c:remove var="abcde"/>
<tagunit:assertNoPageContextAttribute name="abcde"/>
<tagunit:assertNoPageContextAttribute name="abcde" scope="session"/>

